# CodeNarcExtension

abstract class CodeNarcExtension : CodeQualityExtension

Configuration options for the CodeNarc plugin.

#### See also

CodeNarcPlugin

## Constructors

CodeNarcExtension
Link copied to clipboard
constructor(project: Project)

## Properties

config
Link copied to clipboard
open var config: TextResource
maxPriority1Violations
Link copied to clipboard
open var maxPriority1Violations: Int
maxPriority2Violations
Link copied to clipboard
open var maxPriority2Violations: Int
maxPriority3Violations
Link copied to clipboard
open var maxPriority3Violations: Int
reportFormat
Link copied to clipboard
open var reportFormat: String
reportsDir
Link copied to clipboard
open var reportsDir: File
sourceSets
Link copied to clipboard
open var sourceSets: Collection<SourceSet>
toolVersion
Link copied to clipboard
open var toolVersion: String

## Functions

getConfigFile
Link copied to clipboard
open fun getConfigFile(): File
The CodeNarc configuration file to use.
isIgnoreFailures
Link copied to clipboard
open fun isIgnoreFailures(): Boolean
setConfigFile
Link copied to clipboard
open fun setConfigFile(file: File)
The CodeNarc configuration file to use.
setIgnoreFailures
Link copied to clipboard
open fun setIgnoreFailures(ignoreFailures: Boolean)